function regTaught  = teacherSet_AirHockey(foldername)
%foldername = '/Users/flowers/Documents/Dropbox/dataAirHockey/'
%filenameROOT = '/Users/flowers/Documents/Dropbox/dataAirHockey/riac*Feb-2012.mat'
filenameROOT = [foldername '/*'];

variablesGlobales

cL = [];
yL = [];
aL = [];

filesList = dir(filenameROOT);

for indFile = 1:size(filesList ,1) % for each data file
            filename = [ foldername,filesList(indFile).name];
            load(filename);
            cL = [cL; epmem.listLearning(:,mapp.dimCL)];
            yL = [yL; epmem.listLearning(:,mapp.dimYL)];
            aL = [aL; epmem.listLearning(:,mapp.dimAL)];
end

                  
ydemoL = [-1:0.01:1];
dy = 0.005;
nLY = length(ydemoL);
context = [0 0.6 1]; %single context

regTaught = [];

for idemoY = 1:nLY
    ydemo = ydemoL(idemoY);
    ymin = ydemo - dy;
    ymax = ydemo + dy;
    [dist, imin] = min(distSqrt(ydemo,yL));
    regTaught = [ regTaught; ymin ymax 0 aL(imin,:) yL(imin,:)]; %to
    %change
    %if
    %several
    %contexts
    
end
                  
save('teacherRegTaught','regTaught');                  

end

%{
%%another version (long)

dy = 0.005;
context = [0 0.6 0]; %single context
nTot = size(yL,1);

for i=1:nTot
    ydemo = yL(i);
    ymin = ydemo - dy;
    ymax = ydemo + dy;
    regTaught = [ regTaught; ymin ymax 0 aL(i,:) yL(i,:)]; 
end


%}

