classdef Obstacle
    properties
        x_min
        y_min
        x_max
        y_max
        n_x %normale
        n_y %normale
    end
    
    
    methods
        function b = Obstacle(pos1,pos2)
            b.x_min = pos1(1);
            b.y_min = pos1(2);
            b.x_max = pos2(1);
            b.y_max = pos2(2);
            normObs = norm(pos1-pos2,2);
            b.n_x = -(pos1(2)-pos2(2))/normObs;
            b.n_y = (pos1(1)-pos2(1))/normObs;
        end %end contructor
        
        function plot(b)
            plot([b.x_min b.x_max], [b.y_min b.y_max], 'k-')
        end %end function plot
        
    end %end methods
    
end